/*
    Living Realms is a primate evolution simulator.
    Copyright (C) 2011  Sterling Pickens

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __OPENGL_FUNCS__
#define __OPENGL_FUNCS__
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdint.h>
#include <string.h>
#include <GL/gl.h>
#include <GL/glx.h>
#include <GL/glut.h>
#include "DEM.h"
#include "Globals.h"
#include "Life.h"

extern int No_Exit;
extern struct image_attr *ia;
extern struct Species ***life;
extern struct Stats_T stats_t;
extern struct Thread_I *Opengl_t_info;
extern pthread_mutex_t Mutex3;
extern unsigned char **Alive;

void *Run_GL(void *bla);

#endif